package com.njcn.supervision.service.user;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.bpm.pojo.param.instance.BpmProcessInstanceCancelParam;
import com.njcn.bpm.service.IBpmService;
import com.njcn.supervision.pojo.param.user.UserReportNormalParam;
import com.njcn.supervision.pojo.po.user.UserReportNormalPO;
import com.njcn.supervision.pojo.vo.user.NewUserReportVO;
import com.njcn.supervision.pojo.vo.user.UserReportVO;

import java.util.List;

/**
 * <p>
 * 干扰源用户常态化管理 服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-05-17
 */
public interface IUserReportNormalService extends IBpmService<UserReportNormalPO> {

    String addUserNormal(UserReportNormalParam userReportNormalParam);

    String updateUserNormal(UserReportNormalParam userReportParam);


    Page<UserReportVO.UserReportGoNetVO> userReportGoNetPage(UserReportNormalParam userReportNormalParam);


    UserReportVO.UserReportGoNetVO userReportGoNetById(String id);


    String cancelUserReport(BpmProcessInstanceCancelParam cancelReqVO);

    UserReportVO.UserReportListVO getUserReportByFangAnId(String id);

    List<NewUserReportVO> getUserReportByIds(List<String> ids);
}
